Subject: Re: [PATCH] rpmbuild doesn't like '-' in version strings

From: John Ellson <[email-masked]>
Date: Sat, 14 Jan 2006 15:25:09 -0500

Junio C Hamano wrote:
> John Ellson <[email-masked]> writes:
>   
> I consider leaving the interim version unbuildable for binary packaging
> consider a feature.
>   
Not a very helpful feature IMO.    Who is protected by this?
> If you want to build your own version, I think you could locally
> tag that head and build, like:
>
> 	$ git tag -a "John's GIT 1.1.2+frotz patch" v1.1.2.John0114
> 	$ make rpmbuild
>
> Of course you can keep a patch with the sed -e 's/-/_/' in
> GIT-VERSION-GEN as Linus suggested in your development branch.
>   
Thats basically all I'm looking for.   I agree that is only necessary to 
fix the "make rpm" target.
Further changes are not strictly necessary.   I don't understand why it 
would only be useful to me?

> I am not yet convinced being able to build a random
> unidentifiable binary package is a good thing, and "the number
> of minutes/seconds monotonicity" would not work in multiple
> branches case (i.e. still leaves the result unordered).
>   
Since disparate branches are intrinsically unordered I was suggesting 
that the
hash field would be used to ensure uniqueness only.   The timestamp 
field is only for ordering within a branch.

So if someone builds rpms from two different branches, they might still 
have to force the particular
selection they want with "rpm -Uvh --oldpackage ...", but I think this 
is the best that can be done
in the absence of any intrinsic ordering.

Anyway, this is above and beyond doing something with sed to fix the '-' 
issue.

John